@import "../../assets/scss/global";

.background {
    // background: radial-gradient(12.61% 50% at 50% 50%, #FF8A00 0%, #E34C1E 100%);
    @include largeScreen {
        background-image: url("/images/home/subscribe/bg-subsribe-large02.png");
        background-position: center;
        background-repeat: no-repeat;
        margin-top: 20px;
        background-size: cover;
    }

    .container {
        @include wideScreen {
            max-width: unset;
        }
    }
}

.background-bottom {
    background: url("/images/home/subscribe/linear-base-mobile.png") no-repeat center center;
    background-size: 100%;

    @include largeScreen {
        background: url("/images/home/subscribe/linear-base.png") no-repeat center bottom;
    }
}

.subscribe-wrapper {
    @include largeScreen {
        height: initial;
    }

    .dot-wrapper {
        display: flex;
        column-gap: 5px;

        .dot-item {
            height: 8px;
            width: 8px;
            background: #FFBEAF;
            border-radius: 100%;
            box-sizing: border-box;
        }

        .active {
            width: 40px;
            border-radius: 4px;
            background: linear-gradient(42.21deg, #F87613 16.01%, #F89C13 87.48%);
        }

        .secondary-active{
            background: linear-gradient(42.76deg, #7C68EE 17.24%, #E85BFF 86.67%);
        }

        .third-active {
            background: linear-gradient(38.8deg, #1664FC 18.07%, #17D4FD 87.42%);
        }
    }

    .top {
        display: flex;
        flex-direction: column;

        h3 {
            font-size: 16px;
            width: 100%;
            text-transform: initial;
            color: $secondary-color;
            text-align: center;

            @include largeScreen {
                font-size: 24px;
                text-transform: uppercase;
            }
        }

        h2 {
            font-size: 20px;
            text-align: center;
            line-height: 30px;
            margin: 1rem auto 2rem;

            @include largeScreen {
                font-size: 32px;
                line-height: 48px;
                max-width: 350px;
            }

            mark{
                color: $primary-color;
                font-size: 20px;
                line-height: 30px;
                font-weight: 700;
                background-color: transparent;

                @include largeScreen {
                    font-size: 32px;
                    line-height: 48px;
                }
            }
        }

        .dropdown {
            width: 259px;
        }

        .tabs {
            width: 100%;

            .tab-items {
                //display: none;
                display: flex;
                width: 100%;
                justify-content: space-evenly;
                border-bottom: 4px solid #F7F8FC;
                border-radius: 4px;

                button {
                    display: flex;
                    position: relative;
                    background: transparent;
                    border: 0;
                    height: 68px;
                    align-items: center;
                    font-size: 20px;
                    line-height: 24px;
                    width: 25%;
                    justify-content: center;
                    color: $grey-color;
                    text-transform: capitalize;

                    &.active {
                        font-weight: 600;
                        color: $primary-color;

                        &::after {
                            content: "";
                            position: absolute;
                            bottom: -4px;
                            width: 131px;
                            height: 4px;
                            background-color: red;
                        }
                    }

                    &.disable{
                        //pointer-events: none;
                    }
                }


            }

            .mobile {
                justify-content: center;
                overflow: hidden;
                padding-bottom: 20px;
            }

            [class~="slider-control-bottomcenter"] {
                bottom: -15px !important;
            }
        
            .tab-content {
                text-align: left;
                overflow-x: auto;
                display: flex;
                align-items: center;
                gap: 20px;
                
                @include largeScreen {
                    padding: 28px 0;
                    justify-content: center;
                } 
                
                .mobile-item {
                    height: 100%;
                    margin: 0 auto;
                    //
                }

                .pricing-item {
                    flex: none;
                    max-width: 320px;
                    width: 100%;
                    display: flex;
                    flex-direction: column;
                    background: #FFFFFF;
                    border: 2px solid #F4F7FC;
                    margin: 0 auto;

                    @include largeScreen{
                        border: 2px solid transparent;
                        margin: 35px 0;
                        width: 284px;

                        &.hover:hover {
                            animation: grow 0.3s forwards;
                            animation-timing-function: ease;
                            @keyframes grow {
                                from {
                                    transform: scale(1);
                                }
                                to {
                                    transform: scale(1.05);
                                }
                            }
                        }

                        &.hover:not(:hover) {
                            animation: shrink 0.3s forwards ease;
                            @keyframes shrink {
                                from {
                                    transform: scale(1.05);
                                }
                                to {
                                    transform: scale(1);
                                }
                            }
                        }
                    }

                    @include wideScreen {
                        width: 320px;
                    }
                    border-radius: 20px;
                    align-items: center;
                    cursor: pointer;
                    min-height: 380px;
                    position: relative;
                    overflow: hidden;
                    align-self: stretch;

                    .background-image {
                        height: 98px;
                        width: 100%;
                        background-color: lightgray;
                        background-position: left;
                        background-repeat: no-repeat;
                        background-size: cover;
                        display: flex;
                        flex-direction: row;
                        align-items: center;
                        justify-content: center;
                        gap: 10px;

                        svg {
                            height: 41px;
                            width: 41px;
                        }

                        span {
                            width: 150px;
                            color: #FFF;
                            font-size: 20px;
                            font-style: normal;
                            font-weight: 700;
                            line-height: normal;
                        }
                    }

                    .title {
                        width: 100%;
                        text-align: left;
                        display: flex;
                        flex-direction: column;
                        align-items: center;
                        justify-content: center;
                        margin-bottom: 20px;
                        gap: 10px;
                        
                        .plan-name {
                            position: absolute;
                            top: 0;
                            left: 0;
                            overflow: hidden;
                            width: 112px;
                            height: 112px;

                            img {
                                border-top-left-radius: 24px;
                                height: 100%;
                                width: 100%;
                                object-fit: contain;
                            }
                        }

                        h2 {
                            font-weight: 700;
                            font-size: 28px;
                            line-height: 36px;
                            margin: 16px 0 0;

                            span {
                                font-size: 15px;
                                font-weight: 400;
                                color: $grey-color1;
                            }
                        }

                        i {
                            font-style: normal;
                            font-weight: 500;
                            font-size: 13px;
                            line-height: 17px;
                            color: $secondary-color;
                        }

                        &.combo-title {
                            .note {
                                margin: 0;
                                color: #757688;
                                font-size: 15px;
                                font-weight: 500;
                                line-height: 24px;

                                b{
                                    color: #202226;
                                    text-align: right;
                                    font-size: 28px;
                                    font-weight: 700;
                                    line-height: 24px;
                                    text-transform: uppercase;
                                }
                            }

                            .price-combo {
                                color: #00BA34;
                                text-align: right;
                                font-size: 28px;
                                font-weight: 700;
                                line-height: 24px;
                                margin: 0;

                                span {
                                    color: #757688;
                                    font-size: 15px;
                                    font-weight: 500;
                                    line-height: 24px;
                                }
                            }

                            .discount-combo-price{
                                color: #757688;
                                text-align: right;
                                font-size: 16px;
                                font-weight: 500;
                                line-height: 24px;
                                text-decoration: line-through;
                            }

                            .time-line-apply{
                                color: #EF4E2B;
                                text-align: center;
                                font-size: 16px;
                                font-weight: 700;
                            }
                        }
                    }

                    .flashSale-container {
                        width: 100%;
                        padding: 8px 16px;
                        align-items: center;
                        margin-bottom: 10px;
                    }

                    .flashSale-box {
                        width: 100%;
                    }

                    .flashSale-container, .flashSale-box, .running-active {
                        display: flex;
                        flex-direction: column;
                        gap: 8px;

                        .expired-time {
                            color: #E70202;
                            text-align: center;
                            font-size: 13px;
                            font-style: italic;
                            font-weight: 400;
                        }

                        .flashSale-box {
                            border-radius: 12px;
                            background: #FEF1EE;
                            padding: 10px;

                            .title-flash-sale, .upcoming-active, .slot-can-buy {
                                display: flex;
                                flex-direction: row;
                                justify-content: center;
                                align-items: center;
                            }
                            .title-flash-sale {
                                gap: 2px;

                                .name-flash {
                                    font-size: 15px;
                                    font-weight: 900;
                                    letter-spacing: 0.8px;
                                    background: linear-gradient(180deg, #EF4E2B 0%, #F79945 100%);
                                    background-clip: text;
                                    -webkit-background-clip: text;
                                    -webkit-text-fill-color: transparent;
                                }
                                .day-flash {
                                    color: #7660FE;
                                    font-size: 12px;
                                    font-weight: 500;
                                    letter-spacing: 0.65px;
                                }
                            }
                            .upcoming-active {
                                gap: 5px;
                                & > span {
                                    color: #202226;
                                    font-size: 13px;
                                    font-weight: 400;
                                }
                                .down-timer {
                                    //span {
                                    //    color: #FFF;
                                    //    font-size: 14px;
                                    //    font-weight: 500;
                                    //    line-height: 28px;
                                    //}
                                }
                            }
                            .running-active {
                                .slot-can-buy {
                                    gap: 5px;
                                    span {
                                        color: #202226;
                                        font-size: 14px;
                                        font-weight: 400;
                                    }

                                    .slot {
                                        display: flex;
                                        width: 28px;
                                        height: 28px;
                                        justify-content: center;
                                        align-items: center;
                                        border-radius: 4px;
                                        background: #3F38C6;

                                        span {
                                            color: #FFF;
                                            font-size: 14px;
                                            font-weight: 500;
                                        }
                                    }
                                }

                                [class="rs-progress-line-inner"] {
                                    --rs-progress-bg: #FFD2C9;
                                }
                                [class="rs-progress-line-bg"] {
                                    --rs-progress-bar: linear-gradient(270deg, #EF4E2B 0%, #F79945 100%);
                                    background: var(--rs-progress-bar);
                                }
                            }

                        }
                    }

                    .temp {
                        height: 16px;
                        width: 100%;
                    }

                    .select-btn {
                        height: 56px;
                        width: 220px;
                        box-shadow: 0px 12px 20px 0px rgba(248, 76, 38, 0.15);

                        &.hidden {
                            visibility: hidden;
                            display: none;
                        }
                        &.disable {
                            cursor: not-allowed;
                            background: #D4D5D6;
                            color: #FFF;
                            box-shadow: 0px 12px 20px 0px rgba(212, 213, 214, 0.15);
                        }

                        &.background-purple {
                            background: #7c68ee;
                            box-shadow: 0px 12px 20px 0px #7c68ee15;

                            &:hover {
                                background: #7c68ee;
                            }
                        }
                    }

                    .buy-more-turns {
                        text-align: center;
                        color: #1890FF;
                        font-size: 14px;
                        font-weight: 500;
                        line-height: 20px;
                        padding-top: 10px;
                        margin-bottom: 16px;
                        height: 30px;
                        width: auto;

                        i {
                            line-height: 20px;
                            &:hover {
                                text-decoration: underline;
                            }
                        }
                    }

                    .day-trial {
                        margin: 0 auto;
                        width: fit-content;
                        font-weight: 500;
                        font-size: 15px;
                        line-height: 22px;
                        color: #21C274;
                    }

                    .descriptions {
                        margin-top: 16px;
                        padding: 16px;

                        &.combo-description {
                            max-height: 430px;
                            overflow: auto;
                        }

                        &.flash-sale {
                            max-height: 300px;
                            overflow: auto;
                        }

                        .des-item {
                            display: flex;
                            justify-content: flex-start;

                            span {
                                margin-right: 10px;
                            }

                            p {
                                font-weight: 500;
                                margin-bottom: 10px;
                                font-size: 14px;
                                line-height: 20px;

                                mark {
                                    background-color: transparent;
                                    margin: 0;
                                    padding: 0;
                                }
                            }

                            .option {
                                font-size: 13px;
                                margin-top: -15px;
                                color: #6DC27A;
                            }

                            ul {
                                font-size: 14px;
                                padding-left: 0;
                                margin: -15px 0 0;
                                padding-bottom: 10px;

                                li {
                                    list-style-type: disc;
                                    font-size: 14px;
                                    font-weight: 500;
                                    line-height: 20px;

                                    mark{
                                        background-color: transparent;
                                    }
                                }
                            }
                            
                            i {
                                color: $secondary-color;
                            }
                        }
                    }

                    &.active {
                        margin: 0 auto;

                        @include largeScreen {
                            margin: 0;
                        }
                    }
                }
            }

            .detail-feature {

            }

            .trial-group {
                margin: 20px auto 30px;

                > h4 {
                    font-size: 20px;
                    font-weight: 700;
                    line-height: 30px;
                    padding: 0 20px;
                    color: $primary-color;
                    text-align: center;
                    margin-bottom: 20px;
                    @include largeScreen{
                        padding: initial;
                        font-size: 24px;
                        line-height: 36px;
                        text-transform: uppercase;
                    }
                }

                .trial {
                    background: #FFFFFF;
                    box-shadow: 0 20px 60px rgba(248, 76, 38, 0.15);
                    border-radius: 32px;
                    margin: 0 auto;
                    padding: 24px;
                    width: 100%;
                    display: block;
                    box-sizing: border-box;

                    @include largeScreen {
                        width: 60%;
                        display: flex;
                        align-items: center;
                        justify-content: space-between;
                    }

                    div{
                        width: 100%;

                        &.error{
                            textarea, input{
                                border-color: #F54135;
                            }
                        }

                        textarea, input {
                            border: 1px solid #E2E5F2;
                            height: 64px;
                            box-sizing: border-box;
                            padding: 12px 16px;
                            border-radius: 10px;
                            resize: none;
                            width: 100%;

                            &:focus{
                                border-color: $secondary-color;
                            }

                            &::placeholder{
                                font-weight: 500 !important;
                                font-size: 15px !important;
                                color: $grey-color;
                            }
                            @include largeScreen {
                                width: 95%;
                            }
                        }

                        textarea{
                            height: 68px;
                        }

                        p{
                            margin-top: 5px;
                        }
                    }

                    button {
                        margin: 20px auto 0;
                        height: 64px;
                        width: 200px;

                        @include largeScreen {
                            margin: initial;
                        }
                    }
                }
            }
        }
    }
}

.bottom {
    display: flex;
    flex-direction: column;
    margin: 0 0 20px;
    height: 650px;
    width: 100%;
    color: white;

    @include largeScreen {
        height: 500px;
    }

    h3 {
        font-size: 24px;
        text-transform: uppercase;
        width: 70%;
        text-align: center;
        margin: 110px auto 0 !important;

        @include largeScreen {
            width: fit-content;
            font-size: 40px;
            line-height: 60px;
            text-transform: initial;
        }
    }

    .content {
        display: flex;
        justify-content: space-evenly;
        align-items: center;
        margin-top: 40px;
        flex-wrap: wrap;
        width: 100%;

        @include largeScreen {
            flex-wrap: initial;
        }

        .item {
            position: relative;
            text-align: center;
            height: 160px;
            width: calc(50% - 20px);
            padding: 10px;

            @include largeScreen{
                &:not(:nth-of-type(1)){
                    &:after{
                        position: absolute;
                        content: "";
                        width: 2px;
                        height: 50px;
                        background-color: #FFBEA8;
                        left: 0;
                        top: 40%;
                        transform: translateY(-50%);
                    }
                }
            }

            &:nth-child(2) {
                order: 1;
            }

            &:nth-child(3) {
                order: 3;
            }

            @include largeScreen {
                //loop to all element
                &:nth-child(n) {
                    order: initial;
                }
            }
            @include largeScreen {
                width: 25%;
            }

            p:first-child {
                font-size: 24px;
                font-weight: 700;
                margin: 0;
                line-height: 32px;

                @include largeScreen {
                    font-size: 32px;
                    line-height: 48px;
                }
            }

            p:not(:first-child) {
                span {
                    font-weight: 600;
                }

                line-height: 24px;
                font-weight: 400;
            }
        }
    }
}